{% extends "base.html" %}
{% block content %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
        <link rel = "stylesheet" href = "{{ url_for('static', filename = 'login.css') }}">
    </head>

    <body>
    <div class="login-form">
        <form action="" method="post" novalidate>
            {{ form.hidden_tag() }}
    		<h2>Sign In</h2> <p>

            <div class="form-group">
                {{ form.username(size=32, class="form-control", placeholder="Username") }}
                {% for error in form.username.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
    		<div class="form-group">
                {{ form.password(size=32, class="form-control", placeholder="Password") }}
                {% for error in form.password.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <p>{{ form.remember_me() }} {{ form.remember_me.label }}</p>
    		<div class="form-group">
                    {{ form.submit(class="btn btn-danger btn-lg btn-block") }}
            </div>
        </form>
    	<div class="text-center">New User? <a href="{{ url_for('register') }}">Create a account</a></div>
    </div>
    </body>
    {% endblock %}
    </html>
